package com.ice.creation.FactoryPattern;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-10-08 11:06:12
 */
public abstract class Logistics {
    protected abstract Transport createTransport();
    public void playDelivery(){
        Transport transport = createTransport();
        System.out.println("物流开始....");
        transport.deliver();
        System.out.println("物流结束....");
    }
}
